/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.controller.lazy.services;

import com.arrebol.taxiservicios.controller.lazy.LazyDataModelTemplateService;
import com.arrebol.taxiservicios.model.view.dashboard.InsuranceDashboardListView;
import java.util.Date;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public interface InsuranceService extends LazyDataModelTemplateService<InsuranceDashboardListView> {

    /**
     *
     * @param seguro
     * @param cobertura
     * @param fecha
     * @param id
     * @return
     */
    public boolean updateInsuranceInformation(String seguro, String cobertura, Date fecha, String id, String numero);
}
