package com.arrebol.taxiservicios.controller.queries;

/**
 * Person Named Queries
 *
 * @author Carlos Janitzio Zavala Lopez
 */
public interface PersonNQ {

    /**
     * Person queries
     */
    String GET_ALL_EMPLOYEES_WITHOUT_USER_QUERY = "getAllEmployeeWithoutUser";
    String QUERY_FIND_ALL_BIRTHDATE_IN_A_DATE = "findAllBirthdateInADate";
    String QUERY_FIND_ALL_DRIVERS_BY_ANNIVERSARY_IN_A_DATE = "findAllDriversByAnniversaryInADate";
    String QUERY_FIND_ALL_DRIVERS_BY_SIX_MONTH_IN_A_DATE = "findAllDriversBySixMonthInADate";
    /**
     * Parameters
     */
    String PERSON_FIELD_PERSON_TYPE = "personType";
    String PERSON_FIELD_ID = "id";
    String FIELD_BIRTHDATE = "birthdate";
    String FIELD_ADMISSION_DATE = "admissionDate";
    /**
     * General params
     */
    String PARAM_CURRENT_DATE = "currentDate";
    String PARAM_START_DATE = "startDate";
    String PARAM_END_DATE = "endDate";
}
