/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.controller.admin;

import com.arrebol.taxiservicios.model.admin.FeeByDriver;
import com.arrebol.taxiservicios.model.admin.Sanction;
import com.arrebol.taxiservicios.model.core.Person;
import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.dashboard.FeeDashboardPersonListView;
import com.arrebol.taxiservicios.model.enums.FeeType;
import java.util.List;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public interface FeeByDriverService {

    /**
     *
     * @param selectedFees
     * @param status
     * @param user
     * @param comments
     * @param sanction
     * @return
     */
    public boolean updateAllFeesSelected(List<String> selectedFees, FeeType status, User user, String comments, Sanction sanction);

    /**
     *
     * @param driver
     * @param status
     * @return
     */
    public List<FeeByDriver> findAllFeesByDriverAndStatus(Person driver, FeeType status);
}
