/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.controller.lazy.services;

import com.arrebol.taxiservicios.controller.lazy.LazyDataModelTemplateService;
import com.arrebol.taxiservicios.model.catalog.Location;
import com.arrebol.taxiservicios.model.view.dashboard.DashboardToCollectView;
import java.util.List;
import java.util.Map;
import org.primefaces.model.SortOrder;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public interface ToCollectService extends LazyDataModelTemplateService<DashboardToCollectView> {

    /**
     *
     * @param filterBy
     * @param idLocation
     * @return
     */
    long countPaginator(Map<String, Object> filterBy, String idLocation);

    /**
     *
     * @param first
     * @param pageSize
     * @param sortField
     * @param sortOrder
     * @param filterBy
     * @param idLocation
     * @return
     */
    List<DashboardToCollectView> lazyEntityListPaginator(int first, int pageSize, String sortField, SortOrder sortOrder, Map<String, Object> filterBy, String idLocation);

}
