/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.controller.lazy.services;

import com.arrebol.taxiservicios.controller.lazy.LazyDataModelTemplateService;
import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.enums.BasicType;
import com.arrebol.taxiservicios.model.mutual.TransferMutual;
import java.util.List;

/**
 *
 * @author Oscar Vargas
 */
public interface TransferMutualService extends LazyDataModelTemplateService<TransferMutual> {

    /**
     *
     * @param id
     * @param status
     * @param lastUpdatedBy
     * @return
     */
    public boolean updateTransferTStatus(String id, BasicType status, User lastUpdatedBy);

    /**
     *
     * @param transfer
     * @return
     */
    public boolean saveTransfer(TransferMutual transfer);

    /**
     *
     * @return
     */
    public List<User> findAllSystemUser();
    
    
    public Double findTotals(String sqlQuery, String userID);

}
