/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.controller.lazy.services;

import com.arrebol.taxiservicios.controller.lazy.LazyDataModelTemplateService;
import com.arrebol.taxiservicios.model.admin.Transfer;
import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.enums.BasicType;
import com.arrebol.taxiservicios.model.view.admin.TransferView;
import java.util.List;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public interface TransferService extends LazyDataModelTemplateService<TransferView> {

    /**
     *
     * @param id
     * @param status
     * @param lastUpdatedBy
     * @return
     */
    public boolean updateTransferTStatus(String id, BasicType status, User lastUpdatedBy);

    /**
     *
     * @param transfer
     * @return
     */
    public boolean saveTransfer(Transfer transfer);

    /**
     *
     * @return
     */
    public List<User> findAllSystemUser();

}
