package com.arrebol.taxiservicios.controller.queries;

/**
 * User Named Queries
 *
 * @author Carlos Janitzio Zavala Lopez
 */
public interface UserNQ {

    /**
     * User queries
     */
    String FIND_USERS_NOT_ROOT_BY_IN_STATUS_QUERY = "findUsersNotRootByInStatus";
    String AVAILABLE_USER_NAME_QUERY = "availableUserName";
    String QUERY_FIND_ALL_USERS_TO_NOTIFIED = "findAllUsersByPermissionHowWillReciveNotification";
    String QUERY_FIND_NOTIFICATION_USERS = "findNotificationUsers";
    String QUERY_FIND_USERS_WITHOUT_NOTIFICATION= "findUsersWithoutNotification";
    /**
     * Parameters
     */
    String USER_FIELD_ID = "id";
    String USER_FIELD_IN_USER_STATUS_TYPE = "inUserStatusType";
    String USER_FIELD_USER_NAME = "userName";
    String USER_LOCATION ="userLocation";

    String PARAM_STOP_NOTIFICATION_TYPE = "stopNotificationType";
    String PARAM_PERMISSION_LIST = "permissionlst";

}
